> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hris Org Custom Leave Types

> Lists org custom leave types, seeding the default set on first fetch.

Not available to API keys yet. It will need `time:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/get-hris-org-custom-leave-types
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-hris-org-custom-leave-types:
    post:
      operationId: getHrisOrgCustomLeaveTypes
      summary: Get Hris Org Custom Leave Types
      description: |-
        Lists org custom leave types, seeding the default set on first fetch.

        Not available to API keys yet. It will need `time:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetHrisOrgCustomLeaveTypesRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHrisOrgCustomLeaveTypesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetHrisOrgCustomLeaveTypesRequest:
      type: object
      properties:
        includeInactive:
          type: boolean
    GetHrisOrgCustomLeaveTypesResponse:
      type: array
      items:
        $ref: '#/components/schemas/TimeOffCustomTypeListView'
      description: Request regeneration does not infer response shapes.
    TimeOffCustomTypeListView:
      type: object
      properties:
        customLeaveTypeID:
          type: string
          format: uuid
        name:
          type: string
        isActive:
          type: boolean
        balanceType:
          $ref: '#/components/schemas/TimeOffPolicyKind'
        totalPerYear:
          type:
            - number
            - 'null'
        accrualFrequency:
          $ref: '#/components/schemas/TimeOffAccrualFrequencyKind'
        accrualStart:
          $ref: '#/components/schemas/TimeOffAccrualStartKind'
        prorateFirstPeriod:
          type: boolean
        accrualEffectiveFrom:
          type:
            - string
            - 'null'
          format: date
        countsAsLeaveType:
          oneOf:
            - $ref: '#/components/schemas/TimeOffPolicyLeaveKind'
            - type: 'null'
      required:
        - customLeaveTypeID
        - name
        - isActive
        - balanceType
        - totalPerYear
        - accrualFrequency
        - accrualStart
        - prorateFirstPeriod
        - accrualEffectiveFrom
        - countsAsLeaveType
    TimeOffPolicyKind:
      type: string
      enum:
        - UNLIMITED
        - EARNED
        - ACCRUAL
        - FLEXIBLE
    TimeOffAccrualFrequencyKind:
      type: string
      enum:
        - FRONT_LOADED
        - MONTHLY
        - ANNIVERSARY
    TimeOffAccrualStartKind:
      type: string
      enum:
        - HIRE_DATE
        - PROBATION_END
        - CONTINUOUS_SERVICE_DATE
    TimeOffPolicyLeaveKind:
      type: string
      enum:
        - ANNUAL_LEAVE
        - PAID_TIME_OFF
        - PUBLIC_HOLIDAY
        - SICK_LEAVE
        - COMPASSIONATE_BEREAVEMENT_LEAVE
        - PARENTAL_LEAVE
        - MATERNITY_LEAVE
        - LONG_SERVICE_LEAVE
        - COMMUNITY_SERVICE_LEAVE
        - FAMILY_CARE_LEAVE
        - UNPAID_LEAVE
        - SPECIAL_LEAVE
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
